'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = helpCmd;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _util = require('./util');

var _do2 = require('rxjs/operator/do');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * print the `USAGE` document. can be invoked using `ied help` or implicitly as
 * a fall back.
 * @return {Observable} - observable sequence of `USAGE`.
 */
function helpCmd() {
  var _context;

  var filename = _path2.default.join(__dirname, '../USAGE.txt');
  return (_context = (0, _util.readFile)(filename, 'utf8'), _do2._do).call(_context, console.log);
}