'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ping = ping;

var _url = require('url');

var _url2 = _interopRequireDefault(_url);

var _config = require('./config');

var _util = require('./util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * ping the pre-configured npm registry by hitting `/-/ping?write=true`.
 * @return {Observable} - observable sequence of the returned JSON object.
 */
function ping() {
  var uri = _url2.default.resolve(_config.registry, '-/ping?write=true');
  return (0, _util.httpGetJSON)(uri);
}