'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = versionCmd;

var _util = require('./util');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _map = require('rxjs/operator/map');

var _do2 = require('rxjs/operator/do');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * display the version number.
 * @return {Subscription} - a subscription that logs the versio number to the
 * console.
 */
function versionCmd() {
  var _context;

  return (_context = (_context = (0, _util.readFileJSON)(_path2.default.join(__dirname, '../package.json')), _map.map).call(_context, function (_ref) {
    var version = _ref.version;
    return version;
  }), _do2._do).call(_context, function (version) {
    return console.log('ied version ' + version);
  });
}