'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = pingCmd;

var _ping = require('./ping');

/**
 * ping the registry and print the received response.
 * @return {Subscription} - subscription to the {@link ping} command.
 */
function pingCmd() {
  return (0, _ping.ping)().subscribe(console.log);
}